Bug 176458 - diff "white space" switches non-functional
diff "white space" switches non-functional
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: diffutils (Show other bugs)
4
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 19:26 EST by james
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-23 07:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2005-12-22 19:26:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Consider:
$ cat -A testa
broken$
$

$ cat -A testb
$
  broken$
$

$ diff -b testa testb
1c1,2
< broken
---
>
>   broken

$ diff -B testa testb
1c1,2
< broken
---
>
>   broken






Version-Release number of selected component (if applicable):
diffutils-2.8.1-15

How reproducible:
Always

Steps to Reproduce:
1.diff -bB testa testb
2.
3.
  

Actual Results:  The files are shown to differ with respect to white space.

Expected Results:  man diff
...
       -b     Ignore changes in amount of white space.

       -B     Ignore changes that just insert or delete blank lines.




Additional info:
Comment 1 james 2005-12-22 19:35:09 EST
Hmm.  Responding to my own bug report, I suppose I want "-w     Ignore white
space when comparing lines.", which I think means that the man page needs some
changes to the description of "-b".  Also, "-B" seems to work in combination
with "-w", but not by itself, yes?
Comment 2 Tim Waugh 2005-12-23 07:53:21 EST
The description of "-b" is correct as-is.  To clarify, where there is white
space, changed in the amount of it there is get ignored.

Compare this with -w, where even the presence or not of white space is ignored
for comparison.

The "-B" option works correctly and distinctly from "-w".

Note You need to log in before you can comment on or make changes to this bug.